stages:
- lint
- build

markdown lint:
  stage: lint
  image: pipelinecomponents/markdownlint:latest
  script:
    - mdl --style all --warnings .
  only:
    changes:
      - "**/*.md"

build:
  stage: build
  image: rust:latest
  before_script:
    - apt-get update && apt-get --quiet --quiet install musl-tools
    - rustup target add x86_64-unknown-linux-musl
  script:
    - git clone https://github.com/not-an-aardvark/lucky-commit lucky-commit.git
    - cd ./lucky-commit.git/
    - cargo build --release --no-default-features --target=x86_64-unknown-linux-musl
    - mv ./target/x86_64-unknown-linux-musl/release/lucky_commit ../lucky_commit
    - printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)" > ../lucky_commit.version
  artifacts:
    paths:
      - lucky_commit
      - lucky_commit.version
